#include <iostream>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    long n,k;
    int niz[2000001];
    cin>>n>>k;
    
    for(int i=0;i<n*2+1;i++)
        niz[i]=0;
    for(int i=0;i<n;i++)
    {
        long a;
        cin>>a;
        a+=n;
        niz[a]++;
    }
    int br=0;
    for(int i=0;i<n*2+1;i++)
        if(niz[i]>=k)
            br++;
    cout<<br<<endl;

     for(int i=0;i<n*2+1;i++)
        if(niz[i]>=k)
            cout<<i-n<<" ";
    return 0;
}